diff --git a/doc/builtins.ps b/doc/builtins.ps
index 5d49778a..2cab830a 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19.2
-%%CreationDate: Mon Feb 24 08:28:31 2014
+%%CreationDate: Mon Sep 15 12:01:54 2014
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -310,13 +310,13 @@ C(..])-2.5 E F2(Alias)144 440.4 Q F0 2.725(with no ar)5.225 F 2.724
 F3(name)144 452.4 Q F0(=)A F3(value)A F0 .58(on standard output.)3.08 F
 .58(When ar)5.58 F .58
 (guments are supplied, an alias is de\214ned for each)-.18 F F3(name)
-3.08 E F0(whose)144 464.4 Q F3(value)2.895 E F0 .395(is gi)2.895 F -.15
-(ve)-.25 G 2.895(n. A).15 F .395(trailing space in)2.895 F F3(value)
-5.395 E F0 .395(causes the ne)2.895 F .395(xt w)-.15 F .395
-(ord to be check)-.1 F .395(ed for alias sub-)-.1 F .054
-(stitution when the alias is e)144 476.4 R 2.554(xpanded. F)-.15 F .054
-(or each)-.15 F F3(name)2.554 E F0 .054(in the ar)2.554 F .054
-(gument list for which no)-.18 F F3(value)2.554 E F0 .054(is sup-)2.554
+3.08 E F0(whose)144 464.4 Q F3(value)2.509 E F0 .009(is gi)2.509 F -.15
+(ve)-.25 G 2.509(n. A).15 F .009(trailing space in)2.509 F F3(value)
+2.509 E F0 .009(causes the ne)2.509 F .009(xt w)-.15 F .009
+(ord to be check)-.1 F .008(ed for alias substi-)-.1 F .579
+(tution when the alias is e)144 476.4 R 3.079(xpanded. F)-.15 F .579
+(or each)-.15 F F3(name)3.079 E F0 .579(in the ar)3.079 F .579
+(gument list for which no)-.18 F F3(value)3.079 E F0 .579(is sup-)3.079
 F 1.314(plied, the name and v)144 488.4 R 1.314
 (alue of the alias is printed.)-.25 F F2(Alias)6.314 E F0 1.314
 (returns true unless a)3.814 F F3(name)3.814 E F0 1.313(is gi)3.814 F
@@ -343,7 +343,8 @@ F2<ad72>-2.5 E F3 -.1(ke)2.5 G(yseq)-.2 E F0(])A F2(bind)108 606 Q F0([)
 (ymap)-.2 E F0(])A F2<ad78>2.5 E F3 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F3
 (shell\255command)A F2(bind)108 630 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5
 G(ymap)-.2 E F0(])A F3 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F3
-(function\255name)A F2(bind)108 642 Q F3 -.37(re)2.5 G
+(function\255name)A F2(bind)108 642 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5
+G(ymap)-.2 E F0(])A F3 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F3 -.37(re)C
 (adline\255command).37 E F0 .239(Display current)144 654 R F2 -.18(re)
 2.739 G(adline).18 E F0 -.1(ke)2.739 G 2.739(ya)-.05 G .239
 (nd function bindings, bind a k)-2.739 F .539 -.15(ey s)-.1 H .238
@@ -483,9 +484,9 @@ G(H).855 E F0 1.662(is the same as the current directory)3.912 F 4.162
 (,i)-.65 G 1.662(.e., `)-4.162 F(`)-.74 E F2(.)A F0 -.74('')C 6.662(.I)
 .74 G(f)-6.662 E F1(dir)4.513 E F0(be)4.893 E 1.663
 (gins with a slash \(/\), then)-.15 F F3(CDP)144 708 Q -.855(AT)-.666 G
-(H).855 E F0 .347(is not used. The)2.598 F F2<ad50>2.847 E F0 .347
-(option causes)2.847 F F2(cd)2.847 E F0 .347(to use the ph)2.847 F .347
-(ysical directory structure by resolving)-.05 F 1.12
+(H).855 E F0 .191(is not used.)2.441 F(The)5.191 E F2<ad50>2.691 E F0
+.191(option causes)2.691 F F2(cd)2.691 E F0 .191(to use the ph)2.691 F
+.19(ysical directory structure by resolving)-.05 F 1.12
 (symbolic links while tra)144 720 R -.15(ve)-.2 G(rsing).15 E F1(dir)
 3.62 E F0 1.12(and before processing instances of)3.62 F F1(..)3.62 E F0
 (in)3.62 E F1(dir)3.62 E F0 1.12(\(see also the)3.62 F F2<ad50>3.62 E F0
@@ -526,15 +527,15 @@ F0 .468(will return an unsuccessful status.)2.968 F .467(On systems)
 (The return v)144 192 Q(alue is true if the directory w)-.25 E
 (as successfully changed; f)-.1 E(alse otherwise.)-.1 E F1(command)108
 208.8 Q F0([)2.5 E F1(\255pVv)A F0(])A F2(command)2.5 E F0([)2.5 E F2
-(ar)A(g)-.37 E F0(...])2.5 E(Run)144 220.8 Q F2(command)2.956 E F0(with)
-3.527 E F2(ar)3.087 E(gs)-.37 E F0 .257
-(suppressing the normal shell function lookup. Only b)3.027 F .257
-(uiltin commands or)-.2 F .502(commands found in the)144 232.8 R F3
--.666(PA)3.002 G(TH)-.189 E F0 .502(are e)2.752 F -.15(xe)-.15 G 3.002
-(cuted. If).15 F(the)3.002 E F1<ad70>3.002 E F0 .502(option is gi)3.002
-F -.15(ve)-.25 G .501(n, the search for).15 F F2(command)3.201 E F0(is)
-3.771 E .399(performed using a def)144 244.8 R .399(ault v)-.1 F .399
-(alue for)-.25 F F3 -.666(PA)2.899 G(TH)-.189 E F0 .4
+(ar)A(g)-.37 E F0(...])2.5 E(Run)144 220.8 Q F2(command)2.764 E F0(with)
+3.334 E F2(ar)2.894 E(gs)-.37 E F0 .065
+(suppressing the normal shell function lookup.)2.834 F .065(Only b)5.065
+F .065(uiltin commands or)-.2 F .502(commands found in the)144 232.8 R
+F3 -.666(PA)3.002 G(TH)-.189 E F0 .502(are e)2.752 F -.15(xe)-.15 G
+3.002(cuted. If).15 F(the)3.002 E F1<ad70>3.002 E F0 .502(option is gi)
+3.002 F -.15(ve)-.25 G .501(n, the search for).15 F F2(command)3.201 E
+F0(is)3.771 E .399(performed using a def)144 244.8 R .399(ault v)-.1 F
+.399(alue for)-.25 F F3 -.666(PA)2.899 G(TH)-.189 E F0 .4
 (that is guaranteed to \214nd all of the standard utilities.)2.649 F(If)
 5.4 E .175(either the)144 256.8 R F1<ad56>2.675 E F0(or)2.675 E F1<ad76>
 2.675 E F0 .175(option is supplied, a description of)2.675 F F2(command)
@@ -861,210 +862,210 @@ F1<ad6c>144 228 Q F0 .91(When the v)27.52 F .909
 (ute is disabled.)-.2 E F1<ad6e>144 252 Q F0(Gi)24.74 E 1.619 -.15(ve e)
 -.25 H(ach).15 E F2(name)3.819 E F0(the)3.819 E F2(namer)3.819 E(ef)-.37
 E F0(attrib)3.819 E 1.319(ute, making it a name reference to another v)
--.2 F(ariable.)-.25 E 1.033(That other v)180 264 R 1.033
-(ariable is de\214ned by the v)-.25 F 1.033(alue of)-.25 F F2(name)3.533
-E F0 6.033(.A)C 1.033(ll references and assignments to)-6.033 F F2(name)
-180 276 Q F0 4.032(,e)C 1.532(xcept for changing the)-4.182 F F1<ad6e>
-4.032 E F0(attrib)4.032 E 1.532(ute itself, are performed on the v)-.2 F
-1.533(ariable refer)-.25 F(-)-.2 E(enced by)180 288 Q F2(name)2.5 E F0
-1.1 -.55('s v)D 2.5(alue. The).3 F F1<ad6e>2.5 E F0(attrib)2.5 E
-(ute cannot be applied to array v)-.2 E(ariables.)-.25 E F1<ad72>144 300
-Q F0(Mak)25.86 E(e)-.1 E F2(name)5.047 E F0 5.047(sr)C(eadonly)-5.047 E
-7.547(.T)-.65 G 2.546(hese names cannot then be assigned v)-7.547 F
-2.546(alues by subsequent)-.25 F(assignment statements or unset.)180 312
-Q F1<ad74>144 324 Q F0(Gi)26.97 E .729 -.15(ve e)-.25 H(ach).15 E F2
-(name)2.929 E F0(the)2.929 E F2(tr)2.929 E(ace)-.15 E F0(attrib)2.929 E
-2.929(ute. T)-.2 F .429(raced functions inherit the)-.35 F F1(DEB)2.929
-E(UG)-.1 E F0(and)2.93 E F1(RETURN)2.93 E F0
-(traps from the calling shell.)180 336 Q(The trace attrib)5 E
-(ute has no special meaning for v)-.2 E(ariables.)-.25 E F1<ad75>144 348
-Q F0 .91(When the v)24.74 F .909(ariable is assigned a v)-.25 F .909
-(alue, all lo)-.25 F(wer)-.25 E .909(-case characters are con)-.2 F -.15
-(ve)-.4 G .909(rted to upper).15 F(-)-.2 E 2.5(case. The)180 360 R(lo)
-2.5 E(wer)-.25 E(-case attrib)-.2 E(ute is disabled.)-.2 E F1<ad78>144
-372 Q F0(Mark)25.3 E F2(name)2.5 E F0 2.5(sf)C(or e)-2.5 E
-(xport to subsequent commands via the en)-.15 E(vironment.)-.4 E .12
-(Using `+' instead of `\255' turns of)144 388.8 R 2.62(ft)-.25 G .12
-(he attrib)-2.62 F .121(ute instead, with the e)-.2 F .121
-(xceptions that)-.15 F F1(+a)2.621 E F0 .121(may not be used)2.621 F
-.645(to destro)144 400.8 R 3.145(ya)-.1 G 3.145(na)-3.145 G .645(rray v)
--3.145 F .645(ariable and)-.25 F F1(+r)3.145 E F0 .645(will not remo)
-3.145 F .945 -.15(ve t)-.15 H .645(he readonly attrib).15 F 3.144
-(ute. When)-.2 F .644(used in a func-)3.144 F(tion,)144 412.8 Q F1
+-.2 F(ariable.)-.25 E 1.519(That other v)180 264 R 1.519
+(ariable is de\214ned by the v)-.25 F 1.518(alue of)-.25 F F2(name)4.018
+E F0 6.518(.A)C 1.518(ll references, assignments, and)-6.518 F(attrib)
+180 276 Q .27(ute modi\214cations to)-.2 F F2(name)2.77 E F0 2.77(,e)C
+.27(xcept for changing the)-2.92 F F1<ad6e>2.77 E F0(attrib)2.77 E .27
+(ute itself, are performed)-.2 F .895(on the v)180 288 R .895
+(ariable referenced by)-.25 F F2(name)3.395 E F0 1.995 -.55('s v)D 3.395
+(alue. The).3 F .894(nameref attrib)3.395 F .894
+(ute cannot be applied to)-.2 F(array v)180 300 Q(ariables.)-.25 E F1
+<ad72>144 312 Q F0(Mak)25.86 E(e)-.1 E F2(name)5.046 E F0 5.046(sr)C
+(eadonly)-5.046 E 7.546(.T)-.65 G 2.546
+(hese names cannot then be assigned v)-7.546 F 2.547
+(alues by subsequent)-.25 F(assignment statements or unset.)180 324 Q F1
+<ad74>144 336 Q F0(Gi)26.97 E .73 -.15(ve e)-.25 H(ach).15 E F2(name)
+2.93 E F0(the)2.929 E F2(tr)2.929 E(ace)-.15 E F0(attrib)2.929 E 2.929
+(ute. T)-.2 F .429(raced functions inherit the)-.35 F F1(DEB)2.929 E(UG)
+-.1 E F0(and)2.929 E F1(RETURN)2.929 E F0(traps from the calling shell.)
+180 348 Q(The trace attrib)5 E(ute has no special meaning for v)-.2 E
+(ariables.)-.25 E F1<ad75>144 360 Q F0 .909(When the v)24.74 F .909
+(ariable is assigned a v)-.25 F .909(alue, all lo)-.25 F(wer)-.25 E .909
+(-case characters are con)-.2 F -.15(ve)-.4 G .91(rted to upper).15 F(-)
+-.2 E 2.5(case. The)180 372 R(lo)2.5 E(wer)-.25 E(-case attrib)-.2 E
+(ute is disabled.)-.2 E F1<ad78>144 384 Q F0(Mark)25.3 E F2(name)2.5 E
+F0 2.5(sf)C(or e)-2.5 E(xport to subsequent commands via the en)-.15 E
+(vironment.)-.4 E .121(Using `+' instead of `\255' turns of)144 400.8 R
+2.621(ft)-.25 G .121(he attrib)-2.621 F .121(ute instead, with the e)-.2
+F .12(xceptions that)-.15 F F1(+a)2.62 E F0 .12(may not be used)2.62 F
+.644(to destro)144 412.8 R 3.144(ya)-.1 G 3.144(na)-3.144 G .644(rray v)
+-3.144 F .644(ariable and)-.25 F F1(+r)3.145 E F0 .645(will not remo)
+3.145 F .945 -.15(ve t)-.15 H .645(he readonly attrib).15 F 3.145
+(ute. When)-.2 F .645(used in a func-)3.145 F(tion,)144 424.8 Q F1
 (declar)2.835 E(e)-.18 E F0(and)2.835 E F1(typeset)2.835 E F0(mak)2.835
 E 2.835(ee)-.1 G(ach)-2.835 E F2(name)2.835 E F0 .335
 (local, as with the)2.835 F F1(local)2.835 E F0 .335
-(command, unless the)2.835 F F1<ad67>2.835 E F0(option)2.835 E 1.283
-(is supplied.)144 424.8 R 1.283(If a v)6.283 F 1.283
+(command, unless the)2.835 F F1<ad67>2.835 E F0(option)2.835 E 1.282
+(is supplied.)144 436.8 R 1.282(If a v)6.282 F 1.283
 (ariable name is follo)-.25 F 1.283(wed by =)-.25 F F2(value)A F0 3.783
-(,t)C 1.283(he v)-3.783 F 1.283(alue of the v)-.25 F 1.282
-(ariable is set to)-.25 F F2(value)3.782 E F0(.)A .926(When using)144
-436.8 R F1<ad61>3.426 E F0(or)3.426 E F1<ad41>3.426 E F0 .927
-(and the compound assignment syntax to create array v)3.426 F .927
-(ariables, additional)-.25 F(attrib)144 448.8 Q .592(utes do not tak)-.2
+(,t)C 1.283(he v)-3.783 F 1.283(alue of the v)-.25 F 1.283
+(ariable is set to)-.25 F F2(value)3.783 E F0(.)A .927(When using)144
+448.8 R F1<ad61>3.427 E F0(or)3.427 E F1<ad41>3.427 E F0 .926
+(and the compound assignment syntax to create array v)3.427 F .926
+(ariables, additional)-.25 F(attrib)144 460.8 Q .592(utes do not tak)-.2
 F 3.092(ee)-.1 G -.25(ff)-3.092 G .592
 (ect until subsequent assignments.).25 F .592(The return v)5.592 F .592
 (alue is 0 unless an in)-.25 F -.25(va)-.4 G(lid).25 E .429
 (option is encountered, an attempt is made to de\214ne a function using)
-144 460.8 R/F4 10/Courier@0 SF .429(\255f foo=bar)2.929 F F0 2.929(,a)C
-2.929(na)-2.929 G .429(ttempt is)-2.929 F .063(made to assign a v)144
-472.8 R .063(alue to a readonly v)-.25 F .062
-(ariable, an attempt is made to assign a v)-.25 F .062
+144 472.8 R/F4 10/Courier@0 SF .428(\255f foo=bar)2.929 F F0 2.928(,a)C
+2.928(na)-2.928 G .428(ttempt is)-2.928 F .062(made to assign a v)144
+484.8 R .062(alue to a readonly v)-.25 F .063
+(ariable, an attempt is made to assign a v)-.25 F .063
 (alue to an array v)-.25 F(ari-)-.25 E .102
-(able without using the compound assignment syntax \(see)144 484.8 R F1
+(able without using the compound assignment syntax \(see)144 496.8 R F1
 (Arrays)2.602 E F0(abo)2.602 E -.15(ve)-.15 G .102(\), one of the).15 F
-F2(names)2.602 E F0 .102(is not a)2.602 F -.25(va)144 496.8 S .172
+F2(names)2.602 E F0 .101(is not a)2.602 F -.25(va)144 508.8 S .171
 (lid shell v).25 F .171(ariable name, an attempt is made to turn of)-.25
-F 2.671(fr)-.25 G .171(eadonly status for a readonly v)-2.671 F .171
-(ariable, an)-.25 F .96(attempt is made to turn of)144 508.8 R 3.46(fa)
+F 2.671(fr)-.25 G .171(eadonly status for a readonly v)-2.671 F .172
+(ariable, an)-.25 F .96(attempt is made to turn of)144 520.8 R 3.46(fa)
 -.25 G .96(rray status for an array v)-3.46 F .96
-(ariable, or an attempt is made to display a)-.25 F(non-e)144 520.8 Q
+(ariable, or an attempt is made to display a)-.25 F(non-e)144 532.8 Q
 (xistent function with)-.15 E F1<ad66>2.5 E F0(.)A F1
-(dirs [\255clpv] [+)108 537.6 Q F2(n)A F1 2.5(][)C<ad>-2.5 E F2(n)A F1
-(])A F0 -.4(Wi)144 549.6 S .329
+(dirs [\255clpv] [+)108 549.6 Q F2(n)A F1 2.5(][)C<ad>-2.5 E F2(n)A F1
+(])A F0 -.4(Wi)144 561.6 S .328
 (thout options, displays the list of currently remembered directories.)
-.4 F .328(The def)5.328 F .328(ault display is on a)-.1 F 1.238
-(single line with directory names separated by spaces.)144 561.6 R 1.238
-(Directories are added to the list with the)6.238 F F1(pushd)144 573.6 Q
+.4 F .329(The def)5.329 F .329(ault display is on a)-.1 F 1.238
+(single line with directory names separated by spaces.)144 573.6 R 1.238
+(Directories are added to the list with the)6.238 F F1(pushd)144 585.6 Q
 F0(command; the)2.5 E F1(popd)2.5 E F0(command remo)2.5 E -.15(ve)-.15 G
-2.5(se).15 G(ntries from the list.)-2.5 E F1<ad63>144 585.6 Q F0
+2.5(se).15 G(ntries from the list.)-2.5 E F1<ad63>144 597.6 Q F0
 (Clears the directory stack by deleting all of the entries.)25.86 E F1
-<ad6c>144 597.6 Q F0 .882
-(Produces a listing using full pathnames; the def)27.52 F .881
+<ad6c>144 609.6 Q F0 .881
+(Produces a listing using full pathnames; the def)27.52 F .882
 (ault listing format uses a tilde to denote)-.1 F(the home directory)180
-609.6 Q(.)-.65 E F1<ad70>144 621.6 Q F0
+621.6 Q(.)-.65 E F1<ad70>144 633.6 Q F0
 (Print the directory stack with one entry per line.)24.74 E F1<ad76>144
-633.6 Q F0 .272(Print the directory stack with one entry per line, pre\
-\214xing each entry with its inde)25.3 F 2.773(xi)-.15 G 2.773(nt)-2.773
-G(he)-2.773 E(stack.)180 645.6 Q F1(+)144 657.6 Q F2(n)A F0 1.565
-(Displays the)25.3 F F2(n)4.065 E F0 1.565
-(th entry counting from the left of the list sho)B 1.564(wn by)-.25 F F1
-(dirs)4.064 E F0 1.564(when in)4.064 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
-(without options, starting with zero.)180 669.6 Q F1<ad>144 681.6 Q F2
+645.6 Q F0 .273(Print the directory stack with one entry per line, pre\
+\214xing each entry with its inde)25.3 F 2.772(xi)-.15 G 2.772(nt)-2.772
+G(he)-2.772 E(stack.)180 657.6 Q F1(+)144 669.6 Q F2(n)A F0 1.564
+(Displays the)25.3 F F2(n)4.064 E F0 1.565
+(th entry counting from the left of the list sho)B 1.565(wn by)-.25 F F1
+(dirs)4.065 E F0 1.565(when in)4.065 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
+(without options, starting with zero.)180 681.6 Q F1<ad>144 693.6 Q F2
 (n)A F0 1.194(Displays the)25.3 F F2(n)3.694 E F0 1.194
 (th entry counting from the right of the list sho)B 1.194(wn by)-.25 F
 F1(dirs)3.694 E F0 1.194(when in)3.694 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
-(without options, starting with zero.)180 693.6 Q .258(The return v)144
-710.4 R .258(alue is 0 unless an in)-.25 F -.25(va)-.4 G .258
-(lid option is supplied or).25 F F2(n)2.758 E F0(inde)2.758 E -.15(xe)
--.15 G 2.758(sb).15 G -.15(ey)-2.758 G .258(ond the end of the direc-)
-.15 F(tory stack.)144 722.4 Q(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735
-E(6)203.725 E 0 Cg EP
+(without options, starting with zero.)180 705.6 Q 1.706(The return v)144
+722.4 R 1.706(alue is 0 unless an in)-.25 F -.25(va)-.4 G 1.707
+(lid option is supplied or).25 F F2(n)4.207 E F0(inde)4.207 E -.15(xe)
+-.15 G 4.207(sb).15 G -.15(ey)-4.207 G 1.707(ond the end of the).15 F
+(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(6)203.725 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
-(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF(diso)108 84 Q(wn)-.1 E F0([)2.5 E F1(\255ar)A F0 2.5
-(][)C F1<ad68>-2.5 E F0 2.5(][)C/F2 10/Times-Italic@0 SF(jobspec)-2.5 E
-F0(...])2.5 E -.4(Wi)144 96 S .121(thout options, remo).4 F .422 -.15
-(ve e)-.15 H(ach).15 E F2(jobspec)4.362 E F0 .122
-(from the table of acti)2.932 F .422 -.15(ve j)-.25 H 2.622(obs. If).15
-F F2(jobspec)4.362 E F0 .122(is not present, and)2.932 F .096
-(neither the)144 108 R F1<ad61>2.596 E F0 .096(nor the)2.596 F F1<ad72>
-2.596 E F0 .096(option is supplied, the)2.596 F F2(curr)2.596 E .096
-(ent job)-.37 F F0 .096(is used.)2.596 F .096(If the)5.096 F F1<ad68>
-2.596 E F0 .096(option is gi)2.596 F -.15(ve)-.25 G .096(n, each).15 F
-F2(jobspec)144 120 Q F0 .672(is not remo)3.482 F -.15(ve)-.15 G 3.172
-(df).15 G .672(rom the table, b)-3.172 F .672(ut is mark)-.2 F .672
-(ed so that)-.1 F/F3 9/Times-Bold@0 SF(SIGHUP)3.172 E F0 .673
-(is not sent to the job if the)2.922 F .962(shell recei)144 132 R -.15
+(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E
+(directory stack.)144 84 Q/F1 10/Times-Bold@0 SF(diso)108 100.8 Q(wn)-.1
+E F0([)2.5 E F1(\255ar)A F0 2.5(][)C F1<ad68>-2.5 E F0 2.5(][)C/F2 10
+/Times-Italic@0 SF(jobspec)-2.5 E F0(...])2.5 E -.4(Wi)144 112.8 S .122
+(thout options, remo).4 F .422 -.15(ve e)-.15 H(ach).15 E F2(jobspec)
+4.362 E F0 .122(from the table of acti)2.932 F .422 -.15(ve j)-.25 H
+2.622(obs. If).15 F F2(jobspec)4.362 E F0 .121(is not present, and)2.932
+F .096(neither the)144 124.8 R F1<ad61>2.596 E F0 .096(nor the)2.596 F
+F1<ad72>2.596 E F0 .096(option is supplied, the)2.596 F F2(curr)2.596 E
+.096(ent job)-.37 F F0 .096(is used.)2.596 F .096(If the)5.096 F F1
+<ad68>2.596 E F0 .096(option is gi)2.596 F -.15(ve)-.25 G .096(n, each)
+.15 F F2(jobspec)144 136.8 Q F0 .673(is not remo)3.483 F -.15(ve)-.15 G
+3.173(df).15 G .672(rom the table, b)-3.173 F .672(ut is mark)-.2 F .672
+(ed so that)-.1 F/F3 9/Times-Bold@0 SF(SIGHUP)3.172 E F0 .672
+(is not sent to the job if the)2.922 F .962(shell recei)144 148.8 R -.15
 (ve)-.25 G 3.462(sa).15 G F3(SIGHUP)A/F4 9/Times-Roman@0 SF(.)A F0 .962
 (If no)5.462 F F2(jobspec)5.202 E F0 .962(is supplied, the)3.772 F F1
 <ad61>3.462 E F0 .962(option means to remo)3.462 F 1.262 -.15(ve o)-.15
-H 3.462(rm).15 G .962(ark all)-3.462 F 1.358(jobs; the)144 144 R F1
-<ad72>3.858 E F0 1.358(option without a)3.858 F F2(jobspec)5.598 E F0
-(ar)4.169 E 1.359(gument restricts operation to running jobs.)-.18 F
-1.359(The return)6.359 F -.25(va)144 156 S(lue is 0 unless a).25 E F2
+H 3.462(rm).15 G .962(ark all)-3.462 F 1.359(jobs; the)144 160.8 R F1
+<ad72>3.859 E F0 1.359(option without a)3.859 F F2(jobspec)5.599 E F0
+(ar)4.169 E 1.358(gument restricts operation to running jobs.)-.18 F
+1.358(The return)6.358 F -.25(va)144 172.8 S(lue is 0 unless a).25 E F2
 (jobspec)4.24 E F0(does not specify a v)2.81 E(alid job)-.25 E(.)-.4 E
-F1(echo)108 172.8 Q F0([)2.5 E F1(\255neE)A F0 2.5(][)C F2(ar)-2.5 E(g)
--.37 E F0(...])2.5 E .425(Output the)144 184.8 R F2(ar)2.925 E(g)-.37 E
+F1(echo)108 189.6 Q F0([)2.5 E F1(\255neE)A F0 2.5(][)C F2(ar)-2.5 E(g)
+-.37 E F0(...])2.5 E .424(Output the)144 201.6 R F2(ar)2.924 E(g)-.37 E
 F0 .424(s, separated by spaces, follo)B .424(wed by a ne)-.25 F 2.924
-(wline. The)-.25 F .424(return status is 0 unless a write)2.924 F .307
-(error occurs.)144 196.8 R(If)5.307 E F1<ad6e>2.807 E F0 .307
-(is speci\214ed, the trailing ne)2.807 F .308(wline is suppressed.)-.25
-F .308(If the)5.308 F F1<ad65>2.808 E F0 .308(option is gi)2.808 F -.15
-(ve)-.25 G .308(n, inter).15 F(-)-.2 E 1.349(pretation of the follo)144
-208.8 R 1.348(wing backslash-escaped characters is enabled.)-.25 F(The)
-6.348 E F1<ad45>3.848 E F0 1.348(option disables the)3.848 F 1.054
-(interpretation of these escape characters, e)144 220.8 R -.15(ve)-.25 G
-3.555(no).15 G 3.555(ns)-3.555 G 1.055(ystems where the)-3.555 F 3.555
-(ya)-.15 G 1.055(re interpreted by def)-3.555 F(ault.)-.1 E(The)144
-232.8 Q F1(xpg_echo)3.459 E F0 .959
-(shell option may be used to dynamically determine whether or not)3.459
-F F1(echo)3.458 E F0 -.15(ex)3.458 G(pands).15 E .715
-(these escape characters by def)144 244.8 R(ault.)-.1 E F1(echo)5.715 E
-F0 .716(does not interpret)3.215 F F1<adad>3.216 E F0 .716
-(to mean the end of options.)3.216 F F1(echo)5.716 E F0
-(interprets the follo)144 256.8 Q(wing escape sequences:)-.25 E F1(\\a)
-144 268.8 Q F0(alert \(bell\))28.22 E F1(\\b)144 280.8 Q F0(backspace)
-27.66 E F1(\\c)144 292.8 Q F0(suppress further output)28.78 E F1(\\e)144
-304.8 Q(\\E)144 316.8 Q F0(an escape character)26.55 E F1(\\f)144 328.8
-Q F0(form feed)29.89 E F1(\\n)144 340.8 Q F0(ne)27.66 E 2.5(wl)-.25 G
-(ine)-2.5 E F1(\\r)144 352.8 Q F0(carriage return)28.78 E F1(\\t)144
-364.8 Q F0(horizontal tab)29.89 E F1(\\v)144 376.8 Q F0 -.15(ve)28.22 G
-(rtical tab).15 E F1(\\\\)144 388.8 Q F0(backslash)30.44 E F1(\\0)144
-400.8 Q F2(nnn)A F0(the eight-bit character whose v)13.22 E
+(wline. The)-.25 F .424(return status is 0 unless a write)2.924 F .308
+(error occurs.)144 213.6 R(If)5.308 E F1<ad6e>2.808 E F0 .308
+(is speci\214ed, the trailing ne)2.808 F .308(wline is suppressed.)-.25
+F .307(If the)5.308 F F1<ad65>2.807 E F0 .307(option is gi)2.807 F -.15
+(ve)-.25 G .307(n, inter).15 F(-)-.2 E 1.348(pretation of the follo)144
+225.6 R 1.348(wing backslash-escaped characters is enabled.)-.25 F(The)
+6.348 E F1<ad45>3.849 E F0 1.349(option disables the)3.849 F 1.055
+(interpretation of these escape characters, e)144 237.6 R -.15(ve)-.25 G
+3.555(no).15 G 3.555(ns)-3.555 G 1.055(ystems where the)-3.555 F 3.554
+(ya)-.15 G 1.054(re interpreted by def)-3.554 F(ault.)-.1 E(The)144
+249.6 Q F1(xpg_echo)3.458 E F0 .959
+(shell option may be used to dynamically determine whether or not)3.458
+F F1(echo)3.459 E F0 -.15(ex)3.459 G(pands).15 E .716
+(these escape characters by def)144 261.6 R(ault.)-.1 E F1(echo)5.716 E
+F0 .716(does not interpret)3.216 F F1<adad>3.216 E F0 .715
+(to mean the end of options.)3.216 F F1(echo)5.715 E F0
+(interprets the follo)144 273.6 Q(wing escape sequences:)-.25 E F1(\\a)
+144 285.6 Q F0(alert \(bell\))28.22 E F1(\\b)144 297.6 Q F0(backspace)
+27.66 E F1(\\c)144 309.6 Q F0(suppress further output)28.78 E F1(\\e)144
+321.6 Q(\\E)144 333.6 Q F0(an escape character)26.55 E F1(\\f)144 345.6
+Q F0(form feed)29.89 E F1(\\n)144 357.6 Q F0(ne)27.66 E 2.5(wl)-.25 G
+(ine)-2.5 E F1(\\r)144 369.6 Q F0(carriage return)28.78 E F1(\\t)144
+381.6 Q F0(horizontal tab)29.89 E F1(\\v)144 393.6 Q F0 -.15(ve)28.22 G
+(rtical tab).15 E F1(\\\\)144 405.6 Q F0(backslash)30.44 E F1(\\0)144
+417.6 Q F2(nnn)A F0(the eight-bit character whose v)13.22 E
 (alue is the octal v)-.25 E(alue)-.25 E F2(nnn)2.5 E F0
-(\(zero to three octal digits\))2.5 E F1(\\x)144 412.8 Q F2(HH)A F0
+(\(zero to three octal digits\))2.5 E F1(\\x)144 429.6 Q F2(HH)A F0
 (the eight-bit character whose v)13.78 E(alue is the he)-.25 E
 (xadecimal v)-.15 E(alue)-.25 E F2(HH)2.5 E F0(\(one or tw)2.5 E 2.5(oh)
--.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E F1(\\u)144 424.8 Q F2(HHHH)A F0
-1.507(the Unicode \(ISO/IEC 10646\) character whose v)180 436.8 R 1.506
-(alue is the he)-.25 F 1.506(xadecimal v)-.15 F(alue)-.25 E F2(HHHH)
-4.006 E F0(\(one to four he)180 448.8 Q 2.5(xd)-.15 G(igits\))-2.5 E F1
-(\\U)144 460.8 Q F2(HHHHHHHH)A F0 .547
-(the Unicode \(ISO/IEC 10646\) character whose v)180 472.8 R .547
-(alue is the he)-.25 F .548(xadecimal v)-.15 F(alue)-.25 E F2(HHHHH-)
-3.048 E(HHH)180 484.8 Q F0(\(one to eight he)2.5 E 2.5(xd)-.15 G
-(igits\))-2.5 E F1(enable)108 501.6 Q F0([)2.5 E F1<ad61>A F0 2.5(][)C
+-.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E F1(\\u)144 441.6 Q F2(HHHH)A F0
+1.506(the Unicode \(ISO/IEC 10646\) character whose v)180 453.6 R 1.507
+(alue is the he)-.25 F 1.507(xadecimal v)-.15 F(alue)-.25 E F2(HHHH)
+4.007 E F0(\(one to four he)180 465.6 Q 2.5(xd)-.15 G(igits\))-2.5 E F1
+(\\U)144 477.6 Q F2(HHHHHHHH)A F0 .548
+(the Unicode \(ISO/IEC 10646\) character whose v)180 489.6 R .547
+(alue is the he)-.25 F .547(xadecimal v)-.15 F(alue)-.25 E F2(HHHHH-)
+3.047 E(HHH)180 501.6 Q F0(\(one to eight he)2.5 E 2.5(xd)-.15 G
+(igits\))-2.5 E F1(enable)108 518.4 Q F0([)2.5 E F1<ad61>A F0 2.5(][)C
 F1(\255dnps)-2.5 E F0 2.5(][)C F1<ad66>-2.5 E F2(\214lename)2.5 E F0 2.5
-(][)C F2(name)-2.5 E F0(...])2.5 E .278(Enable and disable b)144 513.6 R
+(][)C F2(name)-2.5 E F0(...])2.5 E .277(Enable and disable b)144 530.4 R
 .278(uiltin shell commands.)-.2 F .278(Disabling a b)5.278 F .278
-(uiltin allo)-.2 F .278(ws a disk command which has)-.25 F .833
-(the same name as a shell b)144 525.6 R .834(uiltin to be e)-.2 F -.15
+(uiltin allo)-.2 F .278(ws a disk command which has)-.25 F .834
+(the same name as a shell b)144 542.4 R .834(uiltin to be e)-.2 F -.15
 (xe)-.15 G .834(cuted without specifying a full pathname, e).15 F -.15
-(ve)-.25 G 3.334(nt).15 G(hough)-3.334 E .99
-(the shell normally searches for b)144 537.6 R .989
-(uiltins before disk commands.)-.2 F(If)5.989 E F1<ad6e>3.489 E F0 .989
-(is used, each)3.489 F F2(name)3.489 E F0 .989(is dis-)3.489 F 1.581
-(abled; otherwise,)144 549.6 R F2(names)4.082 E F0 1.582(are enabled.)
+(ve)-.25 G 3.333(nt).15 G(hough)-3.333 E .989
+(the shell normally searches for b)144 554.4 R .989
+(uiltins before disk commands.)-.2 F(If)5.989 E F1<ad6e>3.489 E F0 .99
+(is used, each)3.49 F F2(name)3.49 E F0 .99(is dis-)3.49 F 1.582
+(abled; otherwise,)144 566.4 R F2(names)4.082 E F0 1.582(are enabled.)
 4.082 F -.15(Fo)6.582 G 4.082(re).15 G 1.582(xample, to use the)-4.232 F
-F1(test)4.082 E F0 1.582(binary found via the)4.082 F F3 -.666(PA)4.082
-G(TH)-.189 E F0 .081(instead of the shell b)144 561.6 R .081(uiltin v)
--.2 F .081(ersion, run)-.15 F/F5 10/Courier@0 SF .081(enable -n test)
-2.581 F F0 5.081(.T)C(he)-5.081 E F1<ad66>2.58 E F0 .08
-(option means to load the ne)2.58 F(w)-.25 E -.2(bu)144 573.6 S 1.524
-(iltin command).2 F F2(name)4.384 E F0 1.524(from shared object)4.204 F
+F1(test)4.082 E F0 1.582(binary found via the)4.082 F F3 -.666(PA)4.081
+G(TH)-.189 E F0 .08(instead of the shell b)144 578.4 R .08(uiltin v)-.2
+F .08(ersion, run)-.15 F/F5 10/Courier@0 SF .081(enable -n test)2.58 F
+F0 5.081(.T)C(he)-5.081 E F1<ad66>2.581 E F0 .081
+(option means to load the ne)2.581 F(w)-.25 E -.2(bu)144 590.4 S 1.525
+(iltin command).2 F F2(name)4.385 E F0 1.524(from shared object)4.204 F
 F2(\214lename)4.024 E F0 4.024(,o).18 G 4.024(ns)-4.024 G 1.524
-(ystems that support dynamic loading.)-4.024 F(The)144 585.6 Q F1<ad64>
-2.867 E F0 .367(option will delete a b)2.867 F .367(uiltin pre)-.2 F
-.367(viously loaded with)-.25 F F1<ad66>2.866 E F0 5.366(.I)C 2.866(fn)
--5.366 G(o)-2.866 E F2(name)2.866 E F0(ar)2.866 E .366(guments are gi)
--.18 F -.15(ve)-.25 G .366(n, or).15 F .398(if the)144 597.6 R F1<ad70>
-2.898 E F0 .399(option is supplied, a list of shell b)2.899 F .399
+(ystems that support dynamic loading.)-4.024 F(The)144 602.4 Q F1<ad64>
+2.866 E F0 .366(option will delete a b)2.866 F .366(uiltin pre)-.2 F
+.366(viously loaded with)-.25 F F1<ad66>2.867 E F0 5.367(.I)C 2.867(fn)
+-5.367 G(o)-2.867 E F2(name)2.867 E F0(ar)2.867 E .367(guments are gi)
+-.18 F -.15(ve)-.25 G .367(n, or).15 F .399(if the)144 614.4 R F1<ad70>
+2.899 E F0 .399(option is supplied, a list of shell b)2.899 F .399
 (uiltins is printed.)-.2 F -.4(Wi)5.399 G .399(th no other option ar).4
-F .399(guments, the)-.18 F .099(list consists of all enabled shell b)144
-609.6 R 2.598(uiltins. If)-.2 F F1<ad6e>2.598 E F0 .098
-(is supplied, only disabled b)2.598 F .098(uiltins are printed.)-.2 F
-(If)5.098 E F1<ad61>2.598 E F0 1.916
-(is supplied, the list printed includes all b)144 621.6 R 1.916
-(uiltins, with an indication of whether or not each is)-.2 F 2.879
-(enabled. If)144 633.6 R F1<ad73>2.879 E F0 .379
-(is supplied, the output is restricted to the POSIX)2.879 F F2(special)
-2.879 E F0 -.2(bu)2.878 G 2.878(iltins. The).2 F .378(return v)2.878 F
-(alue)-.25 E .994(is 0 unless a)144 645.6 R F2(name)3.854 E F0 .994
-(is not a shell b)3.674 F .994(uiltin or there is an error loading a ne)
--.2 F 3.495(wb)-.25 G .995(uiltin from a shared)-3.695 F(object.)144
-657.6 Q F1 -2.3 -.15(ev a)108 674.4 T(l).15 E F0([)2.5 E F2(ar)A(g)-.37
-E F0(...])2.5 E(The)144 686.4 Q F2(ar)3.171 E(g)-.37 E F0 3.171(sa)C
-.671(re read and concatenated together into a single command.)-3.171 F
-.67(This command is then read)5.67 F .495(and e)144 698.4 R -.15(xe)-.15
-G .495(cuted by the shell, and its e).15 F .495
+F .398(guments, the)-.18 F .098(list consists of all enabled shell b)144
+626.4 R 2.598(uiltins. If)-.2 F F1<ad6e>2.598 E F0 .098
+(is supplied, only disabled b)2.598 F .099(uiltins are printed.)-.2 F
+(If)5.099 E F1<ad61>2.599 E F0 1.917
+(is supplied, the list printed includes all b)144 638.4 R 1.916
+(uiltins, with an indication of whether or not each is)-.2 F 2.878
+(enabled. If)144 650.4 R F1<ad73>2.878 E F0 .379
+(is supplied, the output is restricted to the POSIX)2.878 F F2(special)
+2.879 E F0 -.2(bu)2.879 G 2.879(iltins. The).2 F .379(return v)2.879 F
+(alue)-.25 E .995(is 0 unless a)144 662.4 R F2(name)3.855 E F0 .994
+(is not a shell b)3.675 F .994(uiltin or there is an error loading a ne)
+-.2 F 3.494(wb)-.25 G .994(uiltin from a shared)-3.694 F(object.)144
+674.4 Q F1 -2.3 -.15(ev a)108 691.2 T(l).15 E F0([)2.5 E F2(ar)A(g)-.37
+E F0(...])2.5 E(The)144 703.2 Q F2(ar)3.17 E(g)-.37 E F0 3.17(sa)C .671
+(re read and concatenated together into a single command.)-3.17 F .671
+(This command is then read)5.671 F .495(and e)144 715.2 R -.15(xe)-.15 G
+.495(cuted by the shell, and its e).15 F .495
 (xit status is returned as the v)-.15 F .495(alue of)-.25 F F1 -2.3 -.15
 (ev a)2.995 H(l).15 E F0 5.495(.I)C 2.995(ft)-5.495 G .495(here are no)
--2.995 F F2(ar)2.995 E(gs)-.37 E F0(,).27 E(or only null ar)144 710.4 Q
+-2.995 F F2(ar)2.995 E(gs)-.37 E F0(,).27 E(or only null ar)144 727.2 Q
 (guments,)-.18 E F1 -2.3 -.15(ev a)2.5 H(l).15 E F0(returns 0.)2.5 E
 (GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(7)203.725 E 0 Cg EP
 %%Page: 8 8
